Summary: A bug tracking system developed by mozilla.org.
Name: bugzilla
Version: 2.20
Release: 1
License: MPL
Group: Development/Tools
SOURCE0: http://ftp.mozilla.org/pub/webtools/bugzilla-%{version}.tar.gz
SOURCE1: filter-requires.sh
SOURCE2: bugzilla.conf
SOURCE3: localconfig
URL: http://www.mozilla.org/bugs/
BuildRoot: %{_tmppath}/%{name}-%{version}
Requires: httpd
Requires: mysql
Requires: perl
Requires: perl-AppConfig
#Requires: perl-Chart
Requires: perl-DBD-MySQL
Requires: perl-DBI
Requires: perl-Template-Toolkit
Requires: perl-TimeDate
Prefix: /var/www/html/bugzilla
BuildArch: noarch

%description
Bugzilla is the bug tracking system developed by mozilla.org.
Mozilla.org is a group within Netscape that acts as a clearinghouse
for Netscape source code. Some modifications have been made for
use with Red Hat Linux by Red Hat, Inc.

%define __perl_requires %{SOURCE1}

%prep
%setup -q
find . -type f |xargs perl -pi -e "s,/usr/bonsaitools/bin,/usr/bin,g"

%build
cp %{SOURCE3} .
./checksetup.pl --no-templates || true
rm -rf localconfig

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf.d
mkdir -p $RPM_BUILD_ROOT/%{prefix}
cp -r Bugzilla $RPM_BUILD_ROOT/%{prefix}/
cp -r images $RPM_BUILD_ROOT/%{prefix}/images
cp -r js $RPM_BUILD_ROOT/%{prefix}/js
cp -r skins $RPM_BUILD_ROOT/%{prefix}/skins
cp -r template $RPM_BUILD_ROOT/%{prefix}/template
install Bugzilla.* $RPM_BUILD_ROOT/%{prefix}
install *.cgi $RPM_BUILD_ROOT/%{prefix}
install *.pl $RPM_BUILD_ROOT/%{prefix}
install *.jpg $RPM_BUILD_ROOT/%{prefix}
install *.pm $RPM_BUILD_ROOT/%{prefix}
install *.html $RPM_BUILD_ROOT/%{prefix}
install *.js $RPM_BUILD_ROOT/%{prefix}
install *.xul $RPM_BUILD_ROOT/%{prefix}

# Install apache bugzilla config file.
cp %{SOURCE2} $RPM_BUILD_ROOT/etc/httpd/conf.d

# Fix up contrib/ruby file to not show up in requires.
sed -e 's/#!\/usr\/local\/bin\/ruby/##!\/usr\/local\/bin\/ruby/' < contrib/bugzilla_ldapsync.rb > contrib/new.rb && mv contrib/new.rb contrib/bugzilla_ldapsync.rb

# Get rid of .cvsignore and CVS
find $RPM_BUILD_ROOT -name .cvsignore -exec rm -rf {} \;
find $RPM_BUILD_ROOT -name CVS | xargs rm -rf

# Set up permissions.
chmod -R o-rwx $RPM_BUILD_ROOT/%{prefix}
chmod a-x $RPM_BUILD_ROOT/%{prefix}/*.jpg
chmod a-x $RPM_BUILD_ROOT/%{prefix}/*.cgi
chmod a-x $RPM_BUILD_ROOT/%{prefix}/*.pm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, apache)
%config /etc/httpd/conf.d/bugzilla.conf
%dir %{prefix}/
%verify(not mode) %{prefix}/*

%doc docs README UPGRADING UPGRADING-pre-2.8 contrib

%changelog
* Sat Jan 07 2006 David Summers <david@summersoft.fay.ar.us> 2.20-1
- Upgraded to 2.20.

* Sat Jan 07 2006 David Summers <david@summersoft.fay.ar.us> 2.16.10-2
- Fixed requires so we don't have to use "rpm --nodeps".
- Added /etc/httpd/conf.d/bugzilla to make apache configuration easier.

* Mon Dec 20 2005 David Summers <david@summersoft.fay.ar.us> 2.16.10-1
- Upgraded to 2.16.10.

* Mon Mar 15 2004 David Summers <david@summersoft.fay.ar.us> 2.16.2-4
- Changed apache dependency to httpd for Redhat 8, 9, Fedora, and WBEL3/RHEL3.

* Mon Feb 02 2004 David Summers <david@summersoft.fay.ar.us> 2.16.2-3
- Took out perl-Chart dependency.

* Wed Feb 19 2003 David Summers <dsummers@digital-realms.com> 2.16.2-2
- Changed user/group from root/root to apache/apache.

* Fri Jan 24 2003 David Summers <dsummers@digital-realms.com> 2.16.2-1
- Updated to 2.16.2.

* Thu Aug  8 2002 Mark J Cox <mjc@redhat.com> 2.14.3-1 
- 2.14.3 security update

* Mon Dec 31 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.14.1-1
- 2.14.1 security update

* Fri May 25 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.12-4
- Add missing *.js files
- Add login.cgi

* Thu May 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.12-3
- Remove some more references to /usr/bonsaitools, the perlpath patch was
  incomplete
- s/Copyright/License/

* Mon Apr 30 2001 Tim Powers <timp@redhat.com>
- updated to 2.12, updated perlpath patch
- added suggested fixes from bug 19497
- Security fixes 38411
- Note: This is not the Red Hat version of Bugzilla. You can grab that at
  ftp://people.redhat.com/dkl

* Mon Aug 14 2000 Tim Powers <timp@redhat.com>
- fixed bug #16147, dependancy problems.
- patched all the files which looked for perl in /usr/bonsaitools/bin

* Thu Jul 27 2000 Tim Powers <timp@redhat.com>
- fixed problem with /usr/bonsai/perl not existing.

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jun 21 2000 Tim Powers <timp@redhat.com>
- somehow changes were lost, don't know why but they were. Fixed

* Tue Jun 20 2000 Tim Powers <timp@redhat.com>
- fixed location for installation. Now out of /home (it's about time).

* Mon Jun 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.10

* Thu Jan 13 2000 Dave Lawrence <dkl@redhat.com>
- Minor cosmetic changes
- Different group permission mechanisms
- Packaged for Powertools
 
* Wed Nov 24 1999 Dave Lawrence <dkl@redhat.com>
- updated to 2.8 (w/Red Hat mods)
- added perl and perl-DBI to requires

* Fri Jul 30 1999 Tim Powers <timp@redhat.com>
- updated to 2.4, updated %post
- added URL and download loc.
- rebuilt for 6.1

* Mon Jan 11 1999 Michael Maher <mike@redhat.com>
- cleaned up spec file a bit.
- ran thru build system

* Thu Dec 10 1998 Andrew Anderson <andrew@redhat.com>
- Initial packaging
